be.fgov.ehealth.dics.protocol.v3

## Class ConsultStandardSubstanceAndSubstanceType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v3.ConsultStandardSubstanceType
  - - be.fgov.ehealth.dics.protocol.v3.ConsultStandardSubstanceAndSubstanceType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:11:18+01:00",
                 comments="JAXB RI v2.2.11")
      public class ConsultStandardSubstanceAndSubstanceType
      extends ConsultStandardSubstanceType
      implements Serializable

  Java class for ConsultStandardSubstanceAndSubstanceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultStandardSubstanceAndSubstanceType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultStandardSubstanceType">
             <sequence>
               <element name="Substance" type="{urn:be:fgov:ehealth:dics:core:v3:refdata}SubstanceKeyType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultStandardSubstanceAndSubstanceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<SubstanceKeyType>` | `getSubstances()` Gets the value of the substances property.

    - ### Methods inherited from class be.fgov.ehealth.dics.protocol.v3.ConsultStandardSubstanceType

      `getCode, getDefinition, getName, getStandard, getUrl, setCode, setDefinition, setName, setStandard, setUrl`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultStandardSubstanceAndSubstanceType

          public ConsultStandardSubstanceAndSubstanceType()

  - ### Method Detail

    - #### getSubstances

          public List<SubstanceKeyType> getSubstances()

      Gets the value of the substances property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the substances property.

      For example, to add a new item, do as follows:

              getSubstances().add(newItem);

      Objects of the following type(s) are allowed in the list `SubstanceKeyType`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.